JTree.TreeSelectionRedirector (Java SE 21 & JDK 21)
Description: declaration: module: java.desktop, package: javax.swing, class: JTree, class: TreeSelectionRedirector
Keywords: javax.swing.JTree.TreeSelectionRedirector class

Module java.desktop
Package javax.swing

# Class JTree.TreeSelectionRedirector

java.lang.Object
javax.swing.JTree.TreeSelectionRedirector

All Implemented Interfaces:
  `Serializable`, `EventListener`, `TreeSelectionListener`

Enclosing class:
  `JTree`

protected class JTree.TreeSelectionRedirector extends Object implements Serializable, TreeSelectionListener
Handles creating a new `TreeSelectionEvent` with the `JTree` as the source and passing it off to all the listeners.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TreeSelectionRedirector()`
  Constructs a `TreeSelectionRedirector`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `valueChanged(TreeSelectionEvent e)`
  Invoked by the `TreeSelectionModel` when the selection changes.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeSelectionRedirector

    protected TreeSelectionRedirector()
    Constructs a `TreeSelectionRedirector`.

- ## Method Details

  - ### valueChanged

    public void valueChanged(TreeSelectionEvent e)
    Invoked by the `TreeSelectionModel` when the selection changes.
    Specified by:
      `valueChanged` in interface `TreeSelectionListener`
    Parameters:
      `e` - the `TreeSelectionEvent` generated by the `TreeSelectionModel`